API explorerConnectors
Update a connector's name, routes, or on-call group
PATCH /api/agent/connectors/{id}. Required scopes: connectors:write.
Loading API reference…
Required scopes: connectors:write
bearer connectors:writeAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: connectors:write
id*stringapplication/jsonenabled?booleanname?string1 <= length <= 80tunnelId?string^[a-z0-9]+$1 <= length <= 64hostname?string1 <= length <= 253routes?array<>items <= 32oncallGroupId?|nullstatus?string"online""offline""unknown"Success
application/jsonconnector*curl -X PATCH 'https://example.com/api/agent/connectors/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "connector": { "id": "string", "enabled": true, "name": "string", "tunnelId": "string", "hostname": "string", "routes": [ { "name": "string", "target": "string", "url": "string", "appId": "string", "enabled": true } ], "status": "online", "lastSeenAt": "2019-08-24T14:15:22Z", "teamId": "string", "oncallGroupId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}